varying vec2 Texcoord;
varying float fog;

varying vec3 ViewDirection;
varying vec3 LightDirection;
varying vec3 Normal;

void main(void) {
   vec3 fvLightPosition = vec3(-100.0,100.0,100.0);
   vec3 fvEyePosition = vec3(0.0, 0.0, 100.0);

    gl_Position = ftransform();
    //Texcoord    = gl_MultiTexCoord0.xy;
    vec3 ec = vec3(0,0,1);
    vec3 r = reflect(ec, normalize(gl_NormalMatrix*gl_Normal));
    Texcoord = vec2(r.x, r.y);
 
    vec3 ecPosition = vec3(gl_ModelViewMatrix * gl_Vertex);
 
    gl_FogFragCoord = abs(ecPosition.z);
    
    fog = exp(-gl_Fog.density * gl_Fog.density * gl_FogFragCoord * gl_FogFragCoord);
    fog = clamp(fog, 0.0, 1.0);

   vec4 fvObjectPosition = gl_ModelViewMatrix * gl_Vertex;

   ViewDirection  = fvEyePosition - fvObjectPosition.xyz;
   LightDirection = fvLightPosition - fvObjectPosition.xyz;
   Normal         = gl_NormalMatrix * gl_Normal;

}
